# Log Tool
## Overview
The log tool displays the logs generated when the program is running, such as the related information of the operating system and application programs during the startup and running process. Users can use this tool to accurately find key information from the massive log data, quickly find out the cause of the error and solve the problem.

![Fig 1 Log Tool-big](image/1.png)
<br>

## Constraint manger
The log tool provides functions such as search, filter, copy, export, refresh. Select a certain type of log, you can operate as needed. 
<br/>

## Function

### Menu
In the main menu, you can perform log export (Export), view user manual (Help), view version information (About), and exit the application. 
#### Export
Click![](image/menu.png)> "Export", or right-click the log display area and select "Export".
You can export all the logs that meet the filter conditions under the current log type, and support multiple log formats such as txt, csv, html, and you can customize the export file name and storage path
![Fig 2 Export-big](image/2.png)
#### Help
Click![](image/menu.png)> "Help", you can view the user manual of Log Tool to understand its basic functions.
![Fig 3 Help-big](image/3.png)
#### About
Click![](image/menu.png)> "About", you can view information such as the version and development platform of Log Tool. 
![Fig 4 About-big](image/4.png)

### Log Tool
#### Search
1）Click![](image/search.png)，enter keywords.

2）The system will fuzzy match the entered keyword with the subject in the second column of the current log table.

3）Delete all keywords, then clear the search content.
![Fig 5 Search-big](image/5.png)
#### Filter
Log filtering methods include time and log level

1）By time:

You can search any time range within three months, or use quick search: Today, The last three days, The last week,The last month, The last three months. The default option is “The last three months”.

2）By level:

You can search for log levels: INFO, WARN, ERROR, ALL. The default option is “ALL”.
#### Copy
You can select the content in the table area/detail area and copy it as a table/text.
![Fig 6 Copy-big](image/6.png)
#### Export
1）Export the current log as a file, and the supported file formats are txt, csv, html, etc.

2）Click "Export" when the filter result is not empty in the log tool .

3）The save file interface pops up, enter a legal file name, and select "File Type".

4）Click "Save" to complete the operation.
![Fig 7 Export-big](image/7.png)
#### Refresh
Right-click the log display area and select "Refresh"，The filtering results of the log tool will be updated with the latest data.
<br/>

### Log content
#### System
1）On the Log Tool interface, click "System".

2）The interface displays the system log list, the display fields are level, process, time and information.

3）Select a system log, the log details will be displayed in the blank area below.
![Fig 8 System-big](image/8.png)
#### Start-up
1）On the Log Tool interface, click "Start-up".

2）The interface displays the startup log list, and the display fields are level, type, time and information.

3）Select a startup log, the detailed information of that startup will be displayed in the blank area below.
![Fig 9 Start-up-big](image/9.png)
#### Login
1）On the Log Tool interface, click "Login".

2）The interface displays the login log list, the display fields are level, user, time and information. 

3）Select a login log, the detailed information of the login will be displayed in the blank area below.
![Fig 10 Login-big](image/10.png)
#### Application
1）On the Log Tool interface, click "Application".

2）The interface displays the application log list, the display fields are level, type, time and information.

3）Select a application log, the detailed information of the application log will be displayed in the blank area below.
![Fig 11 Application-big](image/11.png)
#### Security-Kysec log
1）On the Log Tool interface, click "Security"-"Kysec log". 

2）The interface displays the Kylin security log list, and the display fields are level, process, time and information.

3）Select a Kylin security log, the detailed information of the log will be displayed in the blank area below.
![Fig 12 Security-Kysec log-big](image/12.png)
#### Security-Crash log
1）On the Log Tool interface, click "Security"-"Crash log".

2）The interface displays the crash log list, the display fields are level, type, time and information.

3） Select a crash log, the detailed information of the crash log will be displayed in the blank area below.
![Fig 13 Security-Crash log-big](image/13.png)
#### Security-Audit log
1）On the Log Tool interface, click "Security"-"Audit log".

2）The interface displays the audit log list, and the display fields are level, type, time and information.

3）Select an audit log, the detailed information of the log will be displayed in the blank area below.
![Fig 14 Security-Audit log-big](image/14.png)

### Rescue mode
The Log Tool also provides a rescue mode, in case you can't boot normally, you can get each log.Open [Terminal], switch the directory to "/usr/sbin", and view the help file of 	rescue mode. 

Command: ./logview -h(--help)

Help：
-h, --help
View the manual of the log tool in rescue mode

-y, --system-log 
View all log information of the system log 

-t, --startup-log 
View all log information of the startup log

-l, --login-log 
View all log information of the login log 

-a, --app-log 
View all log information of the application log 

-c, --kysec-log 
View all log information of Kylin Security Log 

-r, --crash-log 
View all log information of the exception log 

-u, --audit-log 
View all log information of the audit log 

-k, --key-word 
Filter the third column (subject) information of the log by keywords, and 	use it with the log option It is recommended to use "" to search for 	keywords, for example: ./logview -l -k "log"

-s, --start-time 
Filter out all the information in a log from the beginning of this parameter 	to the end of the current time 
Example: ./logview -l -s 2021-06-18\ 	12:00:00,  ‘\’must be added here

-e, --end-time 
Filter out all the information in a log up to this parameter 	Example: ./logview -l -e 2021-06-18\ 12:00:00, ‘\ ’must be added here

-0, --error 
Filter out the log information of the error level

 -1, --warn 
Filter out the log information of warning level 

-2, --info 
Filter out the log information of the information level

-p, --export
 Export the specified log file The log file is exported to the‘/tmp/’ path by 	default 
	Example: ./logview -l -p 
	You can specify the path, the specified path 	needs to follow the parameters 
	Example: ./logview -l -p/home/kylin/
<br>

### Language switching
The Log Tool follows the system language Settings by default.
![Fig 15 Chinese mode-big](image/15.png)
![Fig 16 Dark mode-big](image/16.png)
